package org.rcisoft.business.overview.entity;

import lombok.*;

import org.rcisoft.core.entity.IdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2018-4-14 10:15:52.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "bus_project")
public class BusProject implements Serializable {


     @Id
     private String proId;

     private String proNm;

     private String bldTpId;

     private BigDecimal bldArea;

     private String bldLocal;

     private String bldCoordinate;

     private String ownId;

     private String teamIdOn;

     private String teamIdOff;

     private String jwnum;

     private String province;

     private String city;

     private String code;

     private Date createTime;

     private String bldZoneId;

     private Date bldYear;

     private Date deviceYear;

     private BigDecimal energyPotential;


}

