package org.rcisoft.business.overview.entity;

import lombok.*;

import org.rcisoft.core.entity.IdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2018-4-14 17:41:53.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "energy_emission_total")
public class EnergyEmissionTotal implements Serializable {

     public EnergyEmissionTotal(String proId, Integer year) {
          this.proId = proId;
          this.year = year;
     }

     @Id
     private Integer id;

     private String proId;

     private BigDecimal emission;

     private Integer year;


}

