package org.rcisoft.business.overview.entity;

import lombok.*;

import org.rcisoft.core.entity.IdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2018-4-11 13:35:28.
 * 价格表，以小时为单位存储
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "energy_price")
public class EnergyPrice implements Serializable {


     @Id
     private String id;

     private String proId;

     private String pHour;

     private BigDecimal pPrice;

     private String pTp;



}

