package org.rcisoft.business.overview.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.business.overview.entity.EnergyCountM;

import java.math.BigDecimal;

/**
 * Created by JiChao on 2018/4/12.
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
public class EnergyCountMVo extends EnergyCountM {

    public EnergyCountMVo(String proId, String year){
        super(proId, year);
    }

    public EnergyCountMVo(String proId, String year, String mon){
        super(proId, year, mon);
    }

    public EnergyCountMVo(String proId, String year, String mon, String day){
        super(proId, year, mon, day);
    }

    //水电气区分
    private Integer type;
    //费用
    private BigDecimal money;
    //能耗
    private BigDecimal energy;
    //日期，今日昨日
    private Integer date;

    private String time;

    //------------能耗拆分返回值---------------
    private String name;

    private BigDecimal value;

    private String percent;


}
